using System;
using Microsoft.SPOT;


/// <summary>
/// The CmdStartAll will set all I/O output channels to active, when a certain
/// input channel was set to active.
/// </summary>
class CmdStartAll : SwitchButton
{
    /// <summary>
    /// The constructor CmdStartAll is called upon the creation of the class.
    /// </summary>
    /// <param name="buttonChannel">The input channel to monitor.</param>
    public CmdStartAll(int inputChannel)
    {
        createPermanentInstance(this, inputChannel);
    }



    /// <summary>
    /// buttonDown() is executed when the button is pressed. 
    /// </summary>
    public override void buttonDown() 
    {
        k8000().setAllIO();
    }

}

