using System;
using Microsoft.SPOT;


/// <summary>
/// The CmdStartAll will clear all I/O output channels to active, when a certain
/// input channel was set to active.
/// </summary>
class CmdStopAll : SwitchButton
{


    /// <summary>
    /// The constructor CmdStopAll is called upon the creation of the class.
    /// </summary>
    /// <param name="inputChannel">The input channel to monitor.</param>
    public CmdStopAll(int inputChannel)
    {
        createPermanentInstance(this, inputChannel);
    }



    /// <summary>
    /// buttonDown() is executed when the button is pressed. It clears the I/O channels.
    /// </summary>
    public override void buttonDown()
    {
        k8000().clearAllIO();
    }


}

